/* =============================================================
 * BASE STYLES
 * ============================================================*/
.datepicker {
  box-sizing: border-box;
  overflow: hidden;
  position: absolute;
  width: 260px;
  z-index: 1;
}

.datepicker--inline {
  position: relative;
}

.datepicker__inner {
  overflow: hidden;
}

.datepicker__month {
  border-collapse: collapse;
  text-align: center;
  width: 100%;
}

.datepicker__month--month2 {
  display: none;
}

.datepicker__month-day--valid {
  cursor: pointer;
  -webkit-user-select: none;
          user-select: none;
}

.datepicker__month-day--lastMonth,
.datepicker__month-day--nextMonth {
  visibility: hidden;
}

.datepicker__month-button {
  cursor: pointer;
  -webkit-user-select: none;
  user-select: none;
}

.datepicker__info--feedback {
  display: none;
}

.datepicker__info--error,
.datepicker__info--help {
  display: block;
}

.datepicker__buttons {
  -webkit-user-select: none;
          user-select: none;
}

.datepicker__close-button,
.datepicker__clear-button {
  cursor: pointer;
}

.datepicker__tooltip {
  position: absolute;
}

/* =============================================================
 * THEME
 * ============================================================*/
.datepicker {
  background-color: #fff;
  border-radius: 7px;
  box-shadow: 8px 8px 40px 5px rgba(0, 0, 0, 0.08);
/*
  color: #000;
  font-size: 14px;
  line-height: 14px;
*/
}

.datepicker__inner {
  padding: 20px;
}
/*
.datepicker__month {
  font-size: 12px;
}
*/
.datepicker__month-caption {
  border-bottom: 1px solid #dcdcdc;
  height: 2.5em;
  vertical-align: middle;
}

.datepicker__month-name {
	text-transform: uppercase;
	text-align: center;
}

.datepicker__week-days {
  height: 2em;
  vertical-align: middle;
}

.datepicker__week-name {
/*  font-size: 11px;*/
  font-weight: 400;
  text-transform: uppercase;
}

.datepicker__month-day {
  transition-duration: 0.2s;
  transition-property: color, background-color, border-color;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  color: #333;
  padding: 9px 7px;
  border: 1px solid transparent;
}

.datepicker__month-day:focus {
  outline: none;
  background-color: #ffe684;
}

.datepicker__month-day--no-checkin {
  position: relative;
}

.datepicker__month-day--no-checkin:before {
  bottom: 0;
  content: "";
  display: block;
  left: 0;
  position: absolute;
  z-index: -1;
  width: 0;
  height: 0;
  border-bottom: 8px solid red;
  border-right: 8px solid transparent;
}

.datepicker__month-day--no-checkout {
  position: relative;
}

.datepicker__month-day--no-checkout:before {
  top: 0;
  content: "";
  display: block;
  right: 0;
  position: absolute;
  z-index: -1;
  width: 0;
  height: 0;
  border-top: 8px solid red;
  border-left: 8px solid transparent;
}

.datepicker__month-day--no-checkin.datepicker__month-day--no-checkout:before {
  content: none;
}

.datepicker__month-day--invalid {
  color: #e8ebf4;
}

.datepicker__month-day--disabled {
  color: #e8ebf4;
  position: relative;
}

.datepicker__month-day--disabled:after {
  content: "\00d7";
  left: 50%;
  position: absolute;
  color: red;
/*  font-size: 16px;*/
  top: 50%;
  transform: translate(-50%, -50%);
}

.datepicker__month-day--no-checkin,
.datepicker__month-day--no-checkout,
.datepicker__month-day--day-of-week-disabled {
  background-color: rgba(232, 235, 244, 0.5);
}

.datepicker__month-day--selected {
  background-color: rgba(56, 88, 233, 0.2);
  color: #fff;
}

.datepicker__month-day--selected:after, .datepicker__month-day--selected:before {
  display: none;
}

.datepicker__month-day--hovering {
  background-color: rgba(56, 88, 233, 0.3);
  color: #fff;
}
/*
.datepicker__month-day--today {
  background-color: #000;
  color: #fff;
}
*/
.datepicker__month-day--first-day-selected,
.datepicker__month-day--last-day-selected {
  background-color: #3858e9;
  color: #fff;
}

.datepicker__month-day--last-day-selected:after {
  content: none;
}

.datepicker__month-button {
  transition-duration: 0.2s;
  transition-property: color, background-color, border-color;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  display: inline-block;
  text-indent: -9999px;
  padding: 5px;
}

.datepicker__month-button:after {
  background-repeat: no-repeat;
  background-position: center;
  float: left;
  text-indent: 0;
  content: "";
  width: 12px;
  height: 12px;
}

/*
.datepicker__month-button--prev:after {
  background-image: url( https://stage.reisecenter-fehmarn.de/assets/hoteldatepicker/icons/left.svg );
}

.datepicker__month-button--next:after {
  background-image: url( https://stage.reisecenter-fehmarn.de/assets/hoteldatepicker/icons/right.svg );
}
*/

/* Den Standard-Hintergrund (SVG) entfernen */
.datepicker__month-button--prev {
    background-image: none !important;
}

.datepicker__topbar {
  margin-bottom: 20px;
  position: relative;
}

.datepicker--topbar-bottom .datepicker__topbar {
  margin-bottom: 0;
  padding-top: 20px;
  border-top: 1px solid #dcdcdc;
}
/*
.datepicker__info-text {
  font-size: 13px;
}

.datepicker__info--selected {
  font-size: 11px;
}
*/
.datepicker__info--selected-label {
  color: #333;
}
/*
.datepicker__info-text--selected-days {
  font-size: 11px;
  font-style: normal;
}
*/
.datepicker__info--error {
  color: red;
/*
  font-size: 13px;
  font-style: italic;
*/
}
/*
.datepicker__info--help {
  color: #333;
  font-style: italic;
}
*/
.datepicker__close-button,
.datepicker__clear-button,
.datepicker__submit-button {
  transition-duration: 0.2s;
  transition-property: color, background-color, border-color;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  background-color: #3858e9;
  border-radius: 7px;
  border: none;
  box-shadow: none;
/*  font-size: 10px;	*/
  color: #ffffff;
  margin-top: 20px;
  padding: 7px 13px;
  text-decoration: none;
  text-shadow: none;
  text-transform: uppercase;
}

.datepicker--topbar-top .datepicker__close-button, .datepicker--topbar-top
.datepicker__clear-button, .datepicker--topbar-top
.datepicker__submit-button {
  margin-top: 0;
}

.datepicker__close-button:hover,
.datepicker__clear-button:hover,
.datepicker__submit-button:hover {
  background-color: #213fd4;
  color: #ffffff;
}

.datepicker__close-button:disabled, .datepicker__close-button[disabled],
.datepicker__clear-button:disabled,
.datepicker__clear-button[disabled],
.datepicker__submit-button:disabled,
.datepicker__submit-button[disabled] {
  background-color: #c8c9d0;
  color: #ffffff;
  cursor: not-allowed;
}

.datepicker__clear-button + .datepicker__close-button {
  margin-left: 10px;
}

.datepicker__clear-button + .datepicker__submit-button {
  margin-left: 10px;
}

.datepicker__submit-button {
  width: auto;
}

.datepicker__tooltip {
  background-color: #ffe684;
  border-radius: 7px;
/*  font-size: 11px;*/
  margin-top: -5px;
  padding: 5px 10px;
}

.datepicker__tooltip:after {
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-top: 4px solid #ffe684;
  bottom: -4px;
  content: "";
  left: 50%;
  margin-left: -4px;
  position: absolute;
}

	@media (min-width: 320px) {
		
	  .datepicker {
		width: 300px;
	  }
	}

	@media (min-width: 480px) {
		
	  .datepicker {
		width: 460px;
	  }
	  .datepicker__months {
		overflow: hidden;
	  }
/*
	  .datepicker__month {
		width: 200px;
	  }
*/
	  .datepicker__month--month1 {
		float: left;
	  }
	  .datepicker__month--month2 {
		display: table;
		float: right;
	  }
	  .datepicker__month-button--disabled {
		visibility: hidden;
	  }
	  .datepicker__months {
		position: relative;
	  }
	  .datepicker__months:before {
		background: #dcdcdc;
		bottom: 0;
		content: "";
		display: block;
		left: 50%;
		position: absolute;
		top: 0;
		width: 1px;
	  }
	}

	@media (min-width: 768px) {
		
	  .datepicker {
		width: 560px;
	  }
	  .datepicker__month {
		width: 240px;
	  }
	  .datepicker--topbar-has-close-button .datepicker__info,
	  .datepicker--topbar-has-clear-button .datepicker__info,
	  .datepicker--topbar-has-submit-button .datepicker__info {
		max-width: 325px;
	  }
	  .datepicker__buttons {
		margin-top: 0;
		position: absolute;
		right: 0;
		top: 50%;
		transform: translateY(-50%);
	  }
	}
	
	@media (max-width: 768px) {
		
		.datepicker__month--month2 {
			margin-top: 22px;
		}
		
		.datepicker__months:before {
			background: none !important;
		}
	}
